<!-- <div class="card mb-4 shadow-sm">
   <img class="bd-placeholder-img card-img-top p-2" width="100%" [src]="productItem.image" />
    <div class="card-body">
      <p class="card-text">
        <strong>{{ productItem.price | currency:'INR' }}</strong>
        </p>
      <div class="d-flex justify-content-between align-items-center">
        <div class="btn-group">
          <button type="button" class="btn btn-sm btn-outline-secondary">View</button>
          <button type="button" class="btn btn-sm btn-outline-secondary">Edit</button>
        </div>
        <small class="text-muted">9 mins</small>
      </div>
    </div>
    </div>   -->
    
    
  
<div class="card mb-4 shadow-sm" *ngIf=productItem.image>
  <img class="bd-placeholder-img card-img-top p-2" width=auto [src]= "productItem.image" />

  <div class="card-body">
    <p class="card-text">
      <strong>{{ productItem.price | currency:'INR' }}</strong>
    </p>
    <p class="card-text">{{ productItem.name | slice: 0:80 }}...</p>
    <div class="d-flex justify-content-between align-items-center">
      <div class="btn-group">
        <button type="button" class="btn btn-sm btn-primary product-btn" (click)="handleAddToCart()">Add to
          Cart</button>
        <button type="button" class="btn btn-sm btn-outline-secondary product-btn">View Details</button>
      </div>
    </div>
  </div>
</div>